C=============================================================================C
C International Comprehensive Ocean-Atmosphere Data Set (ICOADS)  15 Jul 2008 C
C Filename:level: date.f:01B                               Fortran 90 Library C
C Function: Local date and time                              Author: S.Lubker C
C=============================================================================C
C Software documentation for the (modifiable) example routines {date,clock}:
C
C Functionality: Return the local date (yyyymmdd) and local time (hh:mm:ss),
C each as an 8-character string of digits (including leading zeros if needed)
C plus two separating colons in the time.
C
C Machine/language dependencies:  None known.
c-----------------------------------------------------------------------3456789
      subroutine date(yymmdd)
      character*8 yymmdd
      call date_and_time(date=yymmdd)
      end
c-----------------------------------------------------------------------3456789
      subroutine clock(hhmmss)
      character*8 hhmmss,hhmmsssss*10
      call date_and_time(time=hhmmsssss)
      hhmmss=hhmmsssss(1:2)//':'//hhmmsssss(3:4)//':'//hhmmsssss(5:6)
      end
